/* defines for viz */

#define PROMPT		"v> "

#define DEFAULT_INITFILE	".vizrc"

#define TRUE 1
#define FALSE 0

#define TWOPI   6.2831853071795865
#define PI      3.1415926535897932
#define HALFPI  1.5707963267948966
#define DEG2RAD 0.017453292519943
#define RAD2DEG 57.2957795131

typedef unsigned char BYTE;
typedef char *STRING;
typedef int BOOL;
typedef char STRING_BUF[100];
typedef int (*PFI)();
typedef struct {float re; float im;} COMPLEX;
typedef struct {double re; double im;} DPCOMPLEX;

#define VIZ_MAGIC	10352		/* magic number for viz files */

#define BITS 8
#define LENGTH (1 << BITS)
#define TEXTSIZE 1024

#define PROGNAME "viz"

/* integer equivalents for data types */
#define UNDEFINED      -1
#define NOVALUE        00
#define BYTEVALUE      01
#define INTVALUE       02
#define FLOATVALUE     04
#define CHARVALUE     020
#define COMPLEXVALUE  040
#define DPCOMPLEXVALUE 0100

/* macro for referencing indirect-through-pointer values */
#define ref(ptr,type,offset)  (*(((type *) ptr) + offset))

extern double maxelement(), minelement();
